Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 929425 (juffed) - Review Request: juffed - Advanced text editor
Summary: Review Request: juffed - Advanced text editor
Keywords:
Status: CLOSED ERRATA
Alias: juffed
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-03-30 13:21 UTC by Eugene A. Pivnev
Modified: 2015-11-15 14:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-15 14:29:33 UTC
luya: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eugene A. Pivnev 2013-03-30 13:21:16 UTC
Spec URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed.spec
SRPM URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed-0.10-1.20130330git.fc18.src.rpm
Description: Advanced tabbed text editor with syntax highlighting for many text formats.
Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5189401
http://koji.fedoraproject.org/koji/taskinfo?taskID=5189406
http://koji.fedoraproject.org/koji/taskinfo?taskID=5189411

Fedora Account System Username: tieugene

PS. My favorite plain text editor since 2008.

Comment 1 Rex Dieter 2013-03-30 13:42:22 UTC
Some initial comments,

1.  subpkgs should have
Requires: %{name} = %{version}-%{release}

2.  many of the ldconfig scriptlets are not necessary.  Only packages that provide shared libraries (typically anything that matches %{_libdir}/lib*.so.*) require this scriptlet.

3.  what's the purpose of splitting plugins into so many sub-packages? In short, please provide some justification for splitting these out. (Hint: makes the experience for end-user worse having to manually manage plugins).  I'd suggest either getting rid of -plugins subpackages altogether, or at least simplify matters some (maybe keep a single -plugins subpackage for all of them).

Comment 2 Eugene A. Pivnev 2013-03-30 14:33:49 UTC
(In reply to comment #1)
> Some initial comments,
> 
> 1.  subpkgs should have
> Requires: %{name} = %{version}-%{release}

Not mandatory. Plugins need just API, that is fixed for version.
So - juffed can be repackaged independently from plugins anf they will work - if version is same.
In theory...
I'm not sure :-) - need testing.

> 3.  what's the purpose of splitting plugins into so many sub-packages? In
> short, please provide some justification for splitting these out. (Hint:
> makes the experience for end-user worse having to manually manage plugins). 
> I'd suggest either getting rid of -plugins subpackages altogether, or at
> least simplify matters some (maybe keep a single -plugins subpackage for all
> of them).

* Now all of plugins are in same git as juffed, but it is not mandatory. So - if you will create e.g. juffed-plugin-htmlpreview (not in juffed's git) - you will have juffed[, juffed-plugins] and juffed-plugin-htmlpreview. It is not good, IMHO.
* You can install those plugins that you need - and nothing else, keeping juffed  simpler and faster. As for me - I'd like to install juffed and -plugin-symbolbrowser (sometimes - -sort, -filemanager; occasionally - -doclist and -favorites). So - juffed-plugins is for lazy/fast installation.

Comment 3 Rex Dieter 2013-03-30 15:06:52 UTC
1.  this is mandatory per our packaging guidelines, see:
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Requiring_Base_Package
when subpackages are produced from the same .spec/srpm

3.  it's a matter of balancing convenience vs minimal features/space.  I'd argue the advantage gained by the splitting here is dwarfed by the increased complexity both in packaging maintenance and end-user burden of having to manage installing plugins.  Ultimately, it's up to.  I'm only offering a minor suggestion to make end-users' lives simpler.

Comment 4 Rex Dieter 2013-03-30 15:07:46 UTC
makes more sense when 3. includes "Ultimately, it's up to you"

Comment 5 Eugene A. Pivnev 2013-03-30 15:31:29 UTC
(In reply to comment #4)
> makes more sense when 3. includes "Ultimately, it's up to you"

Ok - what about "juffed-plugins - for users, juffed-plugin-* - for hackers"?
Or renaming juffed-plugins into juffed-everything/megapack - then user can do just 'yum install juffed-megapack'.
Or 'mv juffed juffed-core; mv juffed-plugins juffed'.

PS. #1 and #2 will be fixed in next rpm release (with FSF address in sources).

Comment 6 Eugene A. Pivnev 2013-03-30 15:33:33 UTC
This is something like gstreamer-plugin-*

Comment 7 Eugene A. Pivnev 2013-03-30 17:28:05 UTC
What does this means?

"...E: incorrect-fsf-address ..."

I tried '51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA' (from gpl-2.0.txt) - not helps :-(

Comment 8 Eugene A. Pivnev 2013-03-30 18:31:05 UTC
(In reply to comment #1)
> 1.  subpkgs should have
> Requires: %{name} = %{version}-%{release}
Fixed.

> 2.  many of the ldconfig scriptlets are not necessary.
Fixed.

And some other fixes (see spec changelog).

Spec URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed.spec
SRPM URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed-0.10-2.20130330git.fc18.src.rpm

Notes:
1. grep/sed/dos2unix monkeypatches will be removed after git update (and befor bodhi).
2. I don't know what to do with "incorrect-fsf-address". This address is correct: http://www.fsf.org/about/contact/

Comment 9 Eugene A. Pivnev 2013-03-30 19:10:30 UTC
> 2. I don't know what to do with "incorrect-fsf-address". This address is
> correct: http://www.fsf.org/about/contact/

These errors was produced by mock on previously 'installed' juffed rel. 1.
Solved.

Comment 10 Eugene A. Pivnev 2013-03-31 19:18:27 UTC
3-rd and last (?) release.
All problems solved.

Spec URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed.spec
SRPM URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed-0.10-3.fc18.src.rpm

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5191425
http://koji.fedoraproject.org/koji/taskinfo?taskID=5191434
http://koji.fedoraproject.org/koji/taskinfo?taskID=5191452

rpmlint:
bash-4.2$ find ~/rpmbuild -type f -name "juffed*rpm" | grep -v debug | xargs rpmlint
...
16 packages and 0 specfiles checked; 0 errors, 8 warnings.

bash-4.2$ rpmlint ~/rpmbuild/SPECS/juffed.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

fedora-review not produces errors (just some warnings).

Please - review this nice thing somebody.

Comment 11 Luya Tshimbalanga 2013-04-14 07:25:41 UTC
$ rpmlint ~/Projects/fedora-package-review/929425-juffed/srpm/juffed.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


Based on fedora-review
rpmlint
-------
14 packages and 0 specfiles checked; 0 errors, 7 warnings.

rpmlint (installed packages)
----------------------------
14 packages and 0 specfiles checked; 0 errors, 30 warnings.

MD5-sum check
-------------
http://downloads.sourceforge.net/project/juffed/Releases/0.10/juffed-0.10-1054.tar.bz2 :
  CHECKSUM(SHA256) this package     : ac58d32acaf9d60e4758e9ae05b1a6b7fc0cb7ecd3b207db769dbb9c747be16c
  CHECKSUM(SHA256) upstream package : ac58d32acaf9d60e4758e9ae05b1a6b7fc0cb7ecd3b207db769dbb9c747be16c

All review is clear and this package is ready for acceptance.

Comment 12 Eugene A. Pivnev 2013-04-14 11:02:30 UTC
New Package SCM Request
=======================
Package Name: juffed
Short Description: Advanced text editor
Owners: tieugene
Branches: f17 f18 f19
InitialCC:

Comment 13 Gwyn Ciesla 2013-04-14 19:35:23 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2013-04-14 21:24:49 UTC
juffed-0.10-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/juffed-0.10-3.fc17

Comment 15 Fedora Update System 2013-04-14 21:26:01 UTC
juffed-0.10-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/juffed-0.10-3.fc18

Comment 16 Eugene A. Pivnev 2013-04-15 18:25:07 UTC
Little patch (powered by f19) improved.

Spec URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed.spec
SRPM URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed-0.10-4.fc18.src.rpm

Comment 17 Luya Tshimbalanga 2013-04-15 19:11:49 UTC
(In reply to comment #16)
> Little patch (powered by f19) improved.
> 
> Spec URL: http://tieugene.fedorapeople.org/rpms/juffed/juffed.spec
> SRPM URL:
> http://tieugene.fedorapeople.org/rpms/juffed/juffed-0.10-4.fc18.src.rpm

There is no need for a review anymore now that the package is part of repository. You can close this report as next-release.

Comment 18 Eugene A. Pivnev 2013-04-15 20:25:23 UTC
It can't be build in f19 without this patch.
But I don't know how to upgrade package during testing in bodhi.

Comment 19 Kevin Kofler 2013-04-15 22:00:32 UTC
You do new builds and you edit the updates in Bodhi. But in this case you don't have to edit the updates for F17 and F18, just do a new build for F19 and queue that in Bodhi. It will have a higher version, but that's fine because F19 is also the newer release. But you do have to build for Rawhide too.

The rule is: higher Fedora => higher EVR (Epoch-Version-Release).

Comment 20 Fedora Update System 2013-04-15 23:57:17 UTC
juffed-0.10-3.fc18 has been pushed to the Fedora 18 testing repository.

Comment 21 Fedora Update System 2013-04-16 08:31:30 UTC
juffed-0.10-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/juffed-0.10-4.fc19

Comment 22 Fedora Update System 2013-04-21 05:00:36 UTC
juffed-0.10-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 23 Fedora Update System 2013-04-24 01:30:37 UTC
juffed-0.10-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 24 Fedora Update System 2013-04-24 01:31:52 UTC
juffed-0.10-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 25 nucleo 2014-08-15 20:51:25 UTC
Why compilation of terminal plugin disabled by default?

Comment 26 Eugene A. Pivnev 2014-09-26 09:42:25 UTC
New Package SCM Request
=======================
Package Name: juffed
Short Description: Advanced text editor
Owners: tieugene
Branches: epel7

Comment 27 Gwyn Ciesla 2014-09-26 12:07:07 UTC
Git done (by process-git-requests).

Comment 28 nucleo 2014-09-26 14:27:06 UTC
So what about disabled terminal plugin?

Comment 29 Eugene A. Pivnev 2014-09-26 15:34:48 UTC
(In reply to nucleo from comment #28)
> So what about disabled terminal plugin?

Oops...I forgot about it :-)
Repackaging started.

Comment 30 Raphael Groner 2015-10-10 20:06:41 UTC
Can this bug be closed?

* Mon Nov 17 2014 Kalev Lember <kalevlember@gmail.com> 0.10-11
- Disable terminal plugin that doesn't build with new qtermwidget

Latest significant rebuild was done (except a mass rebuild entry) by Rex.

* Mon Apr 20 2015 Rex Dieter <rdieter@fedoraproject.org>
- 0.10-12
- rebuild (qscintilla)
- consolidate cmake fixes (drop -Werror, allow VERBOSE build, fix CXXFLAGS handling)
- %build: drop extraneous -DCMAKE_INSTALL_PREFIX, use %{?buildterm} (%nil if undefined)
- %install: use 'make install/fast'
- simplify post/postun ldconfig scriptlets

Comment 31 Rex Dieter 2015-11-15 14:29:33 UTC
Yes, bodhi must've missed it


Note You need to log in before you can comment on or make changes to this bug.